# -*- mode: ruby -*-
# vi: set ft=ruby :

ENV['VAGRANT_NO_PARALLEL'] = 'yes'

Vagrant.configure("2") do |config|

  #Kubernetes kmaster
  config.vm.define "kmaster" do |kmaster|
    kmaster.vm.box = "ubuntu/bionic64"
    kmaster.vm.hostname = "kmaster.k8s.int"
    kmaster.vm.network "private_network", ip: "192.168.33.10"
    kmaster.vm.synced_folder "./sync_data/", "/vagrant"

    kmaster.vm.provider "virtualbox" do |vb|
      vb.name = "kmaster"
      vb.memory = "2048"
      vb.cpus = 2
    end
    kmaster.vm.provision "shell", path: "bootstrap_kmaster.sh"
  end

  NodeCount = 2

  #Kubernetes kworker nodes
  (1..NodeCount).each do |node|
    config.vm.define "kworker#{node}" do |kworker|
      kworker.vm.box = "ubuntu/bionic64"
      kworker.vm.hostname = "kworker#{node}.k8s.int"
      kworker.vm.network "private_network", ip: "192.168.33.1#{node}"
      kworker.vm.synced_folder "./sync_data/", "/vagrant"

      kworker.vm.provider "virtualbox" do |vb|
        vb.name = "kworker#{node}"
        vb.memory = "2048"
        vb.cpus = 2
      end
      kworker.vm.provision "shell", path: "bootstrap_kworker.sh"
    end
  end
end
